## javax.xml.xpath
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.xpath.XPathException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XPathExpressionException, XPathFactoryConfigurationException

public class XPathException
extends java.lang.Exception

`XPathException` represents a generic XPath exception.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`XPathException(java.lang.String message)` Constructs a new `XPathException` with the specified detail `message`.
`XPathException(java.lang.Throwable cause)` Constructs a new `XPathException` with the specified `cause`.

Method Summary
`java.lang.Throwable` `getCause()`
`void` `printStackTrace()`
`void` `printStackTrace(java.io.PrintStream s)`
`void` `printStackTrace(java.io.PrintWriter s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException(java.lang.String message)

  Constructs a new `XPathException` with the specified detail `message`.

  The `cause` is not initialized.

  If `message` is `null`, then a `NullPointerException` is thrown.

Parameters:
  `message` - The detail message.

### XPathException

    public XPathException(java.lang.Throwable cause)

  Constructs a new `XPathException` with the specified `cause`.

  If `cause` is `null`, then a `NullPointerException` is thrown.

Parameters:
  `cause` - The cause.
Throws:
  `java.lang.NullPointerException` - if `cause` is `null`.

Method Detail

### getCause

    public java.lang.Throwable getCause()

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)